// mozileUtilities.js

/* ***** BEGIN LICENSE BLOCK *****
 * Licensed under Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * Full Terms at http://mozile.mozdev.org/license.html
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Playsophy code.
 *
 * The Initial Developer of the Original Code is Playsophy
 * Portions created by the Initial Developer are Copyright (C) 2002-2003
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *		Karl Guertin <grayrest@grayrest.com>
 *		James A. Overton <james@overton.ca>
 *		Christian Stocker (Bitflux)
 *		Paul Everitt
 *		David Palm
 *
 * ***** END LICENSE BLOCK ***** */

/*******

Mozile Utilities Javascript
Mozile version 0.60

Created by James A. Overton
Created on 2004-03-24

Last revised by James A. Overton
Last revised on 2004-03-24

HISTORY:
	Some code in this file was first found in mozilehtmltb.js, while the 
majority was cut out of mozileTB.js and separated into different files.


DESCRIPTION:
	General functions which belong nowhere else.

*********/


function mozileGetContext(sel) {
	if(sel.anchorNode.nodeType==1) {
		return sel.anchorNode;
	}
	if(sel.anchorNode.parentNode.nodeType==1) {
		return sel.anchorNode.parentNode;
	}
	alert("Context cannot be determined!");
	return;
}




function mozileRemoveChildren(node) {	
	if(node.hasChildNodes()!=true) {
		return node;
	}
	var children = node.childNodes;	
	for(var i=0; i<children.length; i++) {
		node.removeChild(children[i]);
	}
	return node;
}



function mozileAlert(name) {
	alert("Mozile Alert: "+name);
}	


function printXML(XML) {
	var objXMLSerializer = new XMLSerializer;
	output = objXMLSerializer.serializeToString(XML);
		// fix stupid uppercase tags!
	output = output.replace( /<(\/?)([A-Z]+)/g,
		function (output,p1,p2,offset,s) {
			return '<'+p1+p2.toLowerCase() ;
		} ) ;
	return output;
}

function dumpText(text) {
	var ta = document.getElementById("here");
	ta = mozileRemoveChildren(ta);
	var tn = document.createTextNode(text);
	ta.appendChild(tn);
}

function dumpXML(XML) {
	dumpText(printXML(XML));
}
